Name: perfctr
Summary: Linux/x86 performance monitoring counters software
Version: 2.5.5
Release: 1
License: LGPL
Group: Development/Tools
URL: http://www.csd.uu.se/~mikpe/linux/perfctr/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: %{name}-%{version}.tar

%description
This package adds support for using the Performance-Monitoring
Counters (PMCs) found in many modern x86-class processors.

PMCs are "event counters" capable of recording any of a large
number of performance-related events during execution.
These events typically include instructions executed, cache
misses, TLB misses, stalls, and other events specific to
the microarchitecture of the processor being used.

PMCs are primarily used to identify low-level performance problems,
and to validate code changes intended to improve performance.

%package devel
Summary: Development headers and libraries for perfctr
Group: Development/Libraries

%description devel
The perfctr-devel package contains the header and object files
necessary for developing programs which use the perfctr C library.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install2 \
	PREFIX=%{buildroot}/%{_prefix} \
	BINDIR=%{buildroot}/%{_bindir} \
	LIBDIR=%{buildroot}/%{_libdir} \
	INCLDIR=%{buildroot}/%{_includedir}
mv %{buildroot}/%{_libdir}/libperfctr.so \
	%{buildroot}/%{_libdir}/libperfctr.so.%{version}
ln -s libperfctr.so.%{version} %{buildroot}/%{_libdir}/libperfctr.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/perfex
%{_libdir}/*.so*

%doc README CHANGES TODO

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_includedir}/*/*.h
%{_libdir}/*.a


%changelog
* Wed Jul 2 2003 Mikael Pettersson <mikpe@csd.uu.se> -
- Corrected License and URL fields.

* Thu Jun 12 2003 Bryan O'Sullivan <bos@serpentine.com> - 
- Initial build.
